LibreOffice: AccessibleCsvTable Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
AccessibleCsvTable Service Reference

The accessible object of the data table in the CSV import dialog. More...

Inheritance diagram for AccessibleCsvTable:

## Exported Interfaces
interface | ::com::sun::star::accessibility::XAccessibleContext
| This interface gives access to the whole content of the table. More...
interface | ::com::sun::star::accessibility::XAccessibleComponent
| This interface gives access to the visibility of the table. More...
interface | ::com::sun::star::accessibility::XAccessibleTable
| This interface gives access to functionality specific for a table. More...
interface | ::com::sun::star::accessibility::XAccessibleSelection
| This interface gives access to selection functionality. More...

## Additional Inherited Members
Public Member Functions inherited from XAccessibleContext
long | getAccessibleChildCount ()
| Return the number of children. More...
XAccessible | getAccessibleChild ([in] long i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object. More...
XAccessible | getAccessibleParent ()
| Returns the parent of this object. More...
long | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent. More...
short | getAccessibleRole ()
| Returns the role of this object. More...
string | getAccessibleDescription ()
| Returns the object's description. More...
string | getAccessibleName ()
| Return the object's localized name. More...
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object. More...
XAccessibleStateSet | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object. More...
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds. More...
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point. More...
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object. More...
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent. More...
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates. More...
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box. More...
void | grabFocus ()
| Grabs the focus to this object. More...
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object. More...
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object. More...
Public Member Functions inherited from XAccessibleTable
long | getAccessibleRowCount ()
| Returns the number of used rows in the table. More...
long | getAccessibleColumnCount ()
| Returns the number of used columns in the table. More...
string | getAccessibleRowDescription ([in] long nRow) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the description text of the specified row in the table. More...
string | getAccessibleColumnDescription ([in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the description text of the specified column in the table. More...
long | getAccessibleRowExtentAt ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the number of rows occupied by the Accessible at the specified row and column in the table. More...
long | getAccessibleColumnExtentAt ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the number of columns occupied by the Accessible at the specified row and column in the table. More...
XAccessibleTable | getAccessibleRowHeaders ()
| Returns the row headers as an XAccessibleTable object. More...
XAccessibleTable | getAccessibleColumnHeaders ()
| Returns the column headers as an XAccessibleTable object. More...
sequence< long > | getSelectedAccessibleRows ()
| Returns a list of the indices of completely selected rows in a table. More...
sequence< long > | getSelectedAccessibleColumns ()
| Returns a list of the indices of completely selected columns in a table. More...
boolean | isAccessibleRowSelected ([in] long nRow) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a boolean value indicating whether the specified row is completely selected. More...
boolean | isAccessibleColumnSelected ([in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a boolean value indicating whether the specified column is completely selected. More...
XAccessible | getAccessibleCellAt ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the XAccessible object at the specified row and column in the table. More...
XAccessible | getAccessibleCaption ()
| Returns the caption for the table. More...
XAccessible | getAccessibleSummary ()
| Returns the summary description of the table. More...
boolean | isAccessibleSelected ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns a boolean value indicating whether the accessible at the specified row and column is selected. More...
long | getAccessibleIndex ([in] long nRow, [in] long nColumn) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the child index of the accessible object that spans the specified cell. More...
long | getAccessibleRow ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Translate the given child index into the corresponding row index. More...
long | getAccessibleColumn ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Translate the given child index into the corresponding column index. More...
Public Member Functions inherited from XAccessibleSelection
void | selectAccessibleChild ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Selects the specified Accessible child of the object. More...
boolean | isAccessibleChildSelected ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Determines if the specified child of this object is selected. More...
void | clearAccessibleSelection ()
| Clears the selection, so that no children of the object are selected. More...
void | selectAllAccessibleChildren ()
| Select all children. More...
long | getSelectedAccessibleChildCount ()
| Returns the number of Accessible children that are currently selected. More...
XAccessible | getSelectedAccessibleChild ([in] long nSelectedChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the specified selected Accessible child. More...
void | deselectAccessibleChild ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Removes the specified child from the set of this object's selected children. More...

## Detailed Description

The accessible object of the data table in the CSV import dialog.

See also
  com::sun::star::sheet::AccessibleCsvRuler
  com::sun::star::sheet::AccessibleCsvCell

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ ::com::sun::star::accessibility::XAccessibleComponent

interface ::com::sun::star::accessibility::XAccessibleComponent

This interface gives access to the visibility of the table.

## ◆ ::com::sun::star::accessibility::XAccessibleContext

interface ::com::sun::star::accessibility::XAccessibleContext

This interface gives access to the whole content of the table.

## ◆ ::com::sun::star::accessibility::XAccessibleSelection

interface ::com::sun::star::accessibility::XAccessibleSelection

This interface gives access to selection functionality.

## ◆ ::com::sun::star::accessibility::XAccessibleTable

interface ::com::sun::star::accessibility::XAccessibleTable

This interface gives access to functionality specific for a table.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/AccessibleCsvTable.idl